%define major 4
%define libname %mklibname %name %major

Summary: 	A Unicode character map and font viewer.
Name: 		gucharmap
Version: 	1.4.1
Release: 	2mdk
License: 	GPL
Group: 		Publishing
Source0: 	ftp://ftp.gnome.org/pub/gnome/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png

URL: 		http://gucharmap.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: 	libgnomeui2-devel >= 2.5.90.1
BuildRequires:	scrollkeeper
PreReq:		scrollkeeper

%description
gucharmap is a Unicode/ISO 10646 character map and font viewer. It
supports anti-aliased, scalable truetype fonts in X, using Xft, and
works on Unix and Windows platforms.

%package -n %libname
Summary: Main library for gucharmap
Group: System/Libraries

%description -n %libname
This package contains the library needed to run programs dynamically
linked with gucharmap.

%package -n %libname-devel
Summary: Headers for developing programs that will use gucharmap
Group: Development/GNOME and GTK+
Requires: %libname = %{version}-%{release}
Provides: lib%name-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}
Requires: libgnomeui2-devel

%description -n %libname-devel
This package contains the headers that programmers will need to develop
applications which will use gucharmap.

%prep
%setup -q

%build

%configure2_5x --enable-gnome 
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
command="%{_bindir}/gucharmap" \
title="Unicode Character Map" \
longtitle="Unicode Character Map" \
needs="x11" \
icon="gucharmap.png" \
section="Office/Accessories"
EOF


#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%{find_lang} %{name} --with-gnome

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%update_menus
 
%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc ChangeLog README TODO
%{_bindir}/*
%{_menudir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%dir %{_datadir}/omf/%{name}
%{_datadir}/omf/gucharmap/gucharmap-C.omf
%lang(de) %{_datadir}/omf/gucharmap/gucharmap-de.omf
%lang(es) %{_datadir}/omf/gucharmap/gucharmap-es.omf
%lang(fr) %{_datadir}/omf/gucharmap/gucharmap-fr.omf
%lang(it) %{_datadir}/omf/gucharmap/gucharmap-it.omf
%lang(ja) %{_datadir}/omf/gucharmap/gucharmap-ja.omf
%lang(ko) %{_datadir}/omf/gucharmap/gucharmap-ko.omf
%lang(sv) %{_datadir}/omf/gucharmap/gucharmap-sv.omf
%lang(zh) %{_datadir}/omf/gucharmap/gucharmap-zh*.omf

%files -n %libname
%defattr (-,root,root)
%_libdir/*.so.*

%files -n %libname-devel
%defattr (-,root,root)
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*
%_includedir/*

%changelog
* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-2mdk
- Add lang tag for omf files
- Enable libtoolize 

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1 (with Gtz help)
- gtk input method has been removed upstream

* Wed Feb 11 2004 David Baudens <baudens@mandrakesoft.com> 1.2.0-2mdk
- Fix menu

* Fri Nov 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0

* Fri Aug 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- don't libtoolize
- new version

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.8.0-3mdk
- rebuld for rpm

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.0-2mdk
- Remove patch0 (no longer needed)
- Bump major

* Fri Jun 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.0-1mdk
- Release 0.8.0
- Regenerate patch0

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.1-1mdk
- Release 0.6.1
- Patch0: fix destdir install

* Fri May 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.0-1mdk
- Release 0.6.0
- Clean specfile
- mklibnamification

* Sun Mar 16 2003 Austin Acton <aacton@yorku.ca> 0.4.0-1mdk
- 0.4.0

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 0.2-1mdk
- initial package
